package pps.cloud.base.service;

import pps.cloud.base.service.data.BaseNameInput;
import pps.cloud.base.service.data.FindBaseClientOutput;
import pps.cloud.base.service.data.UpdateBaseClientCloudInput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.data.XSingleResult;

@XService
public interface BaseBaseClientCloudService {

    @XText("根据名称获取托运商数据")
    XSingleResult<FindBaseClientOutput> selectShipperByName(XContext context, BaseNameInput input);

    @XText("根据名称获取上游用户数据")
    XSingleResult<FindBaseClientOutput> selectUpClientByName(XContext context, BaseNameInput input);

    @XText("根据名称获取下游数据")
    XSingleResult<FindBaseClientOutput> selectDownClientByName(XContext context, BaseNameInput input);

    @XText("更新上下游用户与托运商")
    XServiceResult updateBaseClient(XContext context, UpdateBaseClientCloudInput input);
}
