package pps.core.base.service.data.base_photovoltaic_plant_mape_adj;

import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;

public class GetBasePhotovoltaicPlantMapeAdjOutput {
    private Integer id;

    @XText("光伏电站id")
    private String plantId;

    @XText("光伏电站名称")
    private String plantName;

    @XText("预测类型（1 中期光伏功率预测 2 短期光伏功率预测 3 超短期光伏功率预测 4 15天光伏功率预测 5 1天光伏功率预测）")
    private Integer mapeType;

    @XText("预测准确率附加值")
    private BigDecimal mapePlusVal;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer value) {
        this.id = value;
    }

    public String getPlantId() {
        return this.plantId;
    }

    public void setPlantId(String value) {
        this.plantId = value;
    }

    public String getPlantName() {
        return plantName;
    }

    public void setPlantName(String plantName) {
        this.plantName = plantName;
    }

    public Integer getMapeType() {
        return this.mapeType;
    }

    public void setMapeType(Integer value) {
        this.mapeType = value;
    }

    public BigDecimal getMapePlusVal() {
        return this.mapePlusVal;
    }

    public void setMapePlusVal(BigDecimal value) {
        this.mapePlusVal = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

}
